Bug 839205 - ovirt-engine-restapi : [RFE] There is no way to know which hooks are installed on a host
ovirt-engine-restapi : [RFE] There is no way to know which hooks are installe...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Ori Liel
Tareq Alayan
infra
: FutureFeature
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-07-11 04:24 EDT by Oded Ramraz
Modified: 2016-02-10 14:21 EST (History)
8 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Enhancement
Doc Text:
It is now possible to use the REST API to query a host for all installed hooks.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:07:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dyasny: Triaged+


Attachments (Terms of Use)
screenshot (160.12 KB, image/png)
2013-01-09 09:14 EST, Tareq Alayan
no flags Details
api response (2.75 KB, application/octet-stream)
2013-01-09 09:17 EST, Tareq Alayan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10973 None None None Never
oVirt gerrit 11250 None None None Never

  None (edit)
Description Oded Ramraz 2012-07-11 04:24:50 EDT
Description of problem:

On GUI I have the option to see which hooks are install on a specific host. 
I see fields like event name , script name , property name and value . 
I didn't found this information using the api . 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ori Liel 2012-11-26 09:58:42 EST
patch posted upstream: 
   http://gerrit.ovirt.org/#/c/9478/
Comment 3 Tareq Alayan 2013-01-09 09:14:47 EST
Created attachment 675571 [details]
screenshot
Comment 4 Tareq Alayan 2013-01-09 09:17:18 EST
Created attachment 675572 [details]
api response
Comment 5 Itamar Heim 2013-01-09 14:33:01 EST
did you pas the header to get all entity details?
Comment 6 Michael Pasternak 2013-01-10 02:16:55 EST
are you testing against SF3?
Comment 7 Michael Pasternak 2013-01-10 02:18:58 EST
(In reply to comment #5)
> did you pas the header to get all entity details?

it's implemented as host sub-collection.
Comment 8 Tareq Alayan 2013-01-10 04:08:16 EST
I am testing against sf3. 
I didn't pass any special header.
Comment 9 Ori Liel 2013-01-14 03:15:45 EST
See Michael's comment (comment 7) please try: 

.../api/hosts/XXX/hooks
Comment 10 Tareq Alayan 2013-01-14 03:35:27 EST
works now. 

Please consider add links to the hooks response similar to nics.
Comment 11 Michael Pasternak 2013-01-16 05:16:31 EST
http://gerrit.ovirt.org/#/c/10973/
Comment 12 Michael Pasternak 2013-01-21 06:10:02 EST
http://gerrit.ovirt.org/#/c/11250/
Comment 14 Ori Liel 2013-01-21 06:38:35 EST
addition: for each hook, add back-link to host:

http://gerrit.ovirt.org/#/c/11247/
Comment 16 Tareq Alayan 2013-01-24 10:32:57 EST
verified:

request:
=======
GET https://jenkins-vm-02.qa.lab.tlv.redhat.com/api/hosts/9b63b15c-fc75-42ac-9586-0905b2e1d48d/hooks

response:
======== 
<hooks>
<hook id="a6b3aaaf-9205-be7f-d588-7ba9c5ced24b">
<name>50_fileinject</name>
<event_name>before_vm_start</event_name>
<md5>1968b99753325f2bb74f3bedb5c7db49</md5>
</hook>
</hooks>
Comment 17 Michael Pasternak 2013-01-27 01:48:14 EST
does host has link to /hooks sub-collection?
Comment 18 Oded Ramraz 2013-02-24 10:43:15 EST
This feature works fine now , the link exists .

(In reply to comment #17)
> does host has link to /hooks sub-collection?
Comment 19 Cheryn Tan 2013-04-03 02:50:56 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 20 errata-xmlrpc 2013-06-10 17:07:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.